Subject: Re: WG Last Call: draft-ietf-pana-usage-scenarios-04.txt

From: Erik Nordmark <[email-masked]>
Date: Sun, 16 Mar 2003 19:39:37 +0100 (CET)

>   Take APN concept in GRPS as an example (I am not suggesting to do this on
> WLAN) but if you were to do it.. one way to do that communication 
> request/authorization
> between the NAP and the client is do via PANA (I know this is not the best 
> example but
> something that came to my mind in a short notice :-)

This example means nothing to me since I have no idea what APN is and what it
does. Do you have a better example which can indicate which types of
"services" you are considering?

Also, is this a case where the PaC would dynamically request
different "services" over time? Does that imply the ability
to be able to "log out" from a service?
If the service selection is a static thing (derived from the entity that 
gets authenticated) then presumably the ability to pass filter specifications 
in AAA can be used.

  Erik

---

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Wed, 26 Mar 2003 17:38:40 +0100

Sorry late reply. It's hard to keep up during IETF week!

  > I assume that in GPRS there is an access controld ecision
  > to verify that the authenticated principal can in fact use 
  > a particular
  > APN.
  > Thus the "profile" for the principal needs to list which APNs it is
  > allowed to use, right?

=> Yes, I believe so. To "request the APN" in the first place 
your profile (e.g. AAA profile) would authorise you to do that. So the 
check is done when the APN is requested.  

Hesham